<?php 
//Introduce la inforacion del usuario identificado al servicio
$server = "localhost"; 
$username = "root"; 
$password = "opsivir"; 
$database = "prueba";
$existe = "false";

$con = mysql_connect($server, $username, $password) or die ("No se conecto: " . mysql_error());

 mysql_select_db($database, $con); 

 $user  = mysql_escape_string($_GET['user']);
 $sexo  = mysql_escape_string($_GET['sexo']);
 $edad  = mysql_escape_string($_GET['edad']);
 $trabaja  = mysql_escape_string($_GET['trabaja']);
 $descripcion  = mysql_escape_string($_GET['descripcion']);
 $fumador  = mysql_escape_string($_GET['fumador']);

 $resultados = array();

 $aux = "SELECT nickname FROM datos_mochila WHERE nickname = '$user'";
 $nick = mysql_query ($aux);
 $resultados["mensaje"] = "Your data has been uploaded";
 if (! $nick){
     echo "La consulta SQL contiene errores.".mysql_error();
     exit();
  }else {
      //Si no tienes perfil creado
      if(mysql_num_rows($nick)==0){
 			$existe = "false";	
 			$resultados["mensaje"] = "Your data has been uploaded"; 
 			$resultados["validacion"] = "ok";
 		}else{
 			$existe = "true";	
 			$resultados["mensaje"] = "Your data has beeen modified"; 
 			$resultados["validacion"] = "ok";
 		}                 
   } 
//Si ya tienes un perfil creado
if($existe == "true"){
	$resultados["mensaje"] = "Your data has beeen modified"; 
 	$resultados["validacion"] = "ok";
	$result = mysql_query ("UPDATE datos_mochila SET sexo = '$sexo', edad = '$edad', Trabaja = '$trabaja', Descripcion = '$descripcion', fumador = '$fumador' WHERE nickname = '$user'");	
	if (!$result){
     echo "La consulta SQL contiene errores.".mysql_error();
     exit();
  }else {                
   }
}else{
	$resultados["mensaje"] = "Your data has been uploaded"; 
 	$resultados["validacion"] = "ok";
 	 $result = mysql_query ("INSERT INTO datos_mochila (nickname,edad,sexo,fumador,Trabaja,Descripcion) VALUES ('$user','$edad','$sexo','$fumador','$trabaja','$descripcion')");
 	 if (!$result){
     echo "La consulta SQL contiene errores.".mysql_error();
     exit();
  }else {                
   }
}
mysql_close($con); 

 $resultadosJson = json_encode($resultados);
 echo $_GET['jsoncallback'] . '(' . $resultadosJson . ');';
 ?>